/*!
 * @file ground_turret.h
 * @brief description
*/

#ifndef _GROUND_TURRET_H
#define _GROUND_TURRET_H

#include "npcs/npc.h"

class Weapon;

//! A Class to ...
class GroundTurret : public NPC
{

 public:
  GroundTurret(const TiXmlElement* root = NULL);
  virtual ~GroundTurret();

  void loadParams(const TiXmlElement* root);
  void init();

  virtual void postSpawn ();
  virtual void leftWorld ();


  virtual void draw() const;
  virtual void tick(float time);
  virtual void collidesWith (WorldEntity* entity, const Vector& location);

 private:
   Weapon *left, *right;
};

#endif /* _GROUND_TURRET_H */
